flutter环境基本搭建

7. 设置 Android emulator

打开AVD Manager, 新建.

图片 1

随意选择一个后下一步

图片 2

建议选择 x86_64的 image.

图片 3

图片 4

图片 5

Graphics 选择 Hardware GLES 2.0

图片 6

比方:

8.2 Visual Studio Code (VS Code)

安装 Dart Code 扩展

图片 7

新建 Flutter 项目

图片 8

图片 9

选择一个路径来存储项目, 注意, 路径中一定不能出现中文, 否则后面步骤会失败

图片 10

等待项目创建完成

图片 11

右下角的为上一步创建的Android emulator

图片 12

F5 开始调试

图片 13

运行结果如下.

图片 14

[!] VS Code (version 1.19.3)

1. 安装 Flutter SDK

如果不能直接下载 Flutter SDK, 可以通过github安装, 请参考 Using Flutter in China.

下载 Flutter SDK (flutter_windows_v0.2.8-beta.zip), 解压到指定目录, 双击运行flutter_console.bat, 完成sdk安装, 如图.

图片 15

图片 16

[✓] Android Studio (version 3.0)

目录

1. 安装 Flutter SDK2. 设置环境变量3. Flutter doctor4. 安装 Android Studio5. 启动 Android Studio, 安装 Android SDK6. 再次运行 Flutter doctor 查看依赖项7. 设置 Android emulator8. 配置编辑器8.1 Android Studio8.2 Visual Studio Code (VS Code)

第一次接触移动开发, 纯小白一枚, 慢慢摸索, 记录安装.

https://plugins.jetbrains.com/androidstudio   如果打不开,请科学上网.

8.1 Android Studio

安装 Flutter 和 Dart 插件. Configure->Plugins 如图

图片 17

Browse repositiories..

图片 18

选择 Flutter, 安装, 弹出 Dart 插件安装时, 选择是.

图片 19

新建 Flutter project

图片 20

选择 Flutter Application

图片 21

Next 直到 Finish, 等待新建项目的完成.

图片 22

选择模拟器, 调试

图片 23

运行结果如下:

图片 24

        For more info, see https://flutter.io/platform-plugins

8. 配置编辑器

这里介绍 Android Studio 与 Visual Studio Code (VS Code) 的配置.

下载时候注意对应as的版本号选择正确版本,最新的不一定能用.

4. 安装 Android Studio

直接上图.

图片 25

全程 Next, 直到 Finish.

图片 26

        CocoaPods is used to retrieve the iOS platform side's plugin code that responds to your plugin usage on the Dart side.

5. 启动 Android Studio, 安装 Android SDK

图片 27

图片 28

图片 29

图片 30

图片 31

图片 32

图片 33

图片 34

修改android下gradlew文件

6. 再次运行 Flutter doctor 查看依赖项

图片 35

还有两个依赖需要解决

[!] Android toolchain - develop for Android devices (Android SDK 27.0.3)
X Android licenses not accepted. To resolve this, run: flutter doctor --android-licenses

运行 flutter doctor --android-licenses

图片 36

[!] Connected devices
! No devices available

打开手机开发者选项, 打开USB调试后, 再次检测, 成功。

图片 37

第二处:

2. 设置环境变量

在Path下增加到flutter/bin的目录, 如图:

图片 38

1.下载flutter到本地

3. Flutter doctor

在flutter控制台运行 flutter doctor 命令, 检测是否有依赖项未安装.

图片 39

其中带X的表示需要安装的东西, 如我这里需要再安装Android toolchain 与 Android Studio.

安装Android Studio时,会默认下载安装Android SDK,所以下一步直接安装Android Studio.

[!] iOS toolchain - develop for iOS devices (Xcode 9.2)

3.flutter 检测开发环境配置

        pod setup

laomaodeMacBook-Pro:~ laomao$ flutter doctor

CLASSPATH=/Applications/Android Studio.app/Contents/gradle/gradle-4.6/lib/gradle-launcher-4.6.jar

    ✗ libimobiledevice and ideviceinstaller are not installed. To install, run:

Doctor summary (to see all details, run flutter doctor -v):

[✓] Flutter (Channel beta, v0.1.5, on Mac OS X 10.13.1 17B1003, locale zh-Hans-CN)

运行IOS模拟器很顺利,运行Android你可能遇到各种奇葩的问题.

如果安装不到,我尝试N次安装失败,那么直接去插件网站下载安装即可.

第一处:

        Without resolving iOS dependencies with CocoaPods, plugins will not work on iOS.

开发IDE选择android studio.Mac环境

      To install:

Q:Finished with error: Exit code 1 from: /Users/laomao/files/as/flutter_app/android/gradlew -v:

本文由澳门新葡亰1495app发布于网络技术,转载请注明出处:flutter环境基本搭建

相关阅读